## blinkd 0.1

=== Makefile ===
# Makefile for blinkd and blink
# (C) 1998 W. Borgert debacle@debian.org

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Id: Makefile,v 1.4 1998/10/14 18:42:20 debacle Exp $

CC       = gcc
CFLAGS   = -g -O3 -Wall -ansi -pedantic
CPPFLAGS = -D_GNU_SOURCE -DSERV_TCP_PORT=20013
ifndef prefix
prefix  = /
endif # prefix

all:    blinkd blink

blinkd: blinkd.o

blink:  blink.o

install: blinkd blink
	cp    blink     $(prefix)/bin/blink
	chgrp users     $(prefix)/bin/blink
	chmod u+x       $(prefix)/bin/blink
	cp    blinkd    $(prefix)/sbin/blinkd
	chgrp users     $(prefix)/sbin/blinkd
	chmod u+x       $(prefix)/sbin/blinkd
	cp    blinkd.1  $(prefix)/man/man1/blinkd.1
	chgrp users     $(prefix)/man/man1/blinkd.1
	chmod og+r      $(prefix)/man/man1/blinkd.1
	gzip            $(prefix)/man/man1/blinkd.1
	cd $(prefix)/man/man1; ln -sf blinkd.1.gz blink.1.gz
#	cp    standard.tcl $(prefix)/doc/blinkd/examples/standard.tcl
	sync
	sync

clean:
	rm -f blink blinkd blink.o blinkd.o

## blinkd 0.3.4

=== debian/changelog ===
blinkd (0.3.4) frozen unstable; urgency=low

  * Version 0.3.4 released.
  * Added docbook-to-man to Build-Depends field in debian/control
    Closes bug#59937.

 -- W. Borgert <debacle@debian.org>  Wed,  8 Mar 2000 20:37:02 +0000

blinkd (0.3.3) frozen unstable; urgency=low

  * Version 0.3.3 released.
  * No man pages in /usr/man/ anymore.  Fixes bug#57857.

 -- W. Borgert <debacle@debian.org>  Sat, 12 Feb 2000 09:55:05 +0000

blinkd (0.3.2) unstable; urgency=low

  * Version 0.3.2 released.
  * Fixed a few lintian warnings.

 -- W. Borgert <debacle@debian.org>  Tue, 02 Jan 2000 15:16:52 +0000

blinkd (0.3.1) unstable; urgency=low

  * Version 0.3.1 released.
  * Different man pages for blink(1) and blinkd(8).
  * New policy.

 -- W. Borgert <debacle@debian.org>  Tue, 19 Oct 1999 20:38:50 +0000

blinkd (0.3.0) unstable; urgency=low

  * Version 0.3.0 released.
  * Using gettext for i18n.
  * Using pthreads internally.
  * Using docbook (SGML) for man page.
  * Supporting all three PC keyboard LEDs.

 -- W. Borgert <debacle@debian.org>  Tue, 29 Jun 1999 09:54:11 +0000

blinkd (0.2.1) unstable; urgency=low

  * Version 0.2.1 released.
  * Added some files in doc directory.

 -- W. Borgert <debacle@debian.org>  Thu, 14 Feb 1999 15:52:21 +0000

blinkd (0.2) unstable; urgency=low

  * Version 0.2 released.
  * configure.in etc.: Using autoconf/automake now.
  * blink.c/blinkd.c: Preliminary changes for gettext.
  * blink.c: New option for using remote server.
  * blink.c: Allow '+' and '-' for incrementing/decrementing blink rate.

 -- W. Borgert <debacle@debian.org>  Thu, 13 Feb 1999 13:09:30 +0000

blinkd (0.1-2) unstable; urgency=low

  * Added example for use with mgetty fax program.
  * Corrected vbox example.
  * Updated man page.

 -- W. Borgert <debacle@debian.org>  Fri, 16 Oct 1998 21:42:52 +0000

blinkd (0.1-1) unstable; urgency=low

  * Initial Release.

 -- W. Borgert <debacle@debian.org>  Sun, 28 Jun 1998 14:19:21 +0000

Local variables:
mode: debian-changelog
add-log-mailing-address: "debacle@debian.org"
End:

=== debian/control ===
Source: blinkd
Section: utils
Priority: optional
Maintainer: W. Borgert <debacle@debian.org>
Standards-Version: 3.1.1
Build-Depends: debhelper, docbook-to-man

Package: blinkd
Architecture: any
Depends: ${shlibs:Depends}
Recommends: isdnutils | mgetty
Description: Blinks keyboard LEDs for an answering machine or fax machine.
 Blinkd is a client/server pair, that lets the keyboard LEDs
 blink, indicating things like the number of incoming voice
 calls in the voice box or incoming faxes in the spool.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PREFIX=debian/tmp/usr

build: build-stamp
build-stamp:
	dh_testdir

# Add here commands to compile the package.
	./configure --prefix=`pwd`/$(PREFIX) --mandir=`pwd`/$(PREFIX)/share/man
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

# Add here commands to clean up after the build process.
	test -f Makefile && $(MAKE) clean || true
#-$(MAKE) distclean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Add here commands to install the package into debian/tmp.
	$(MAKE) install

	cp ChangeLog $(PREFIX)/share/doc/blinkd/
	gzip --best $(PREFIX)/share/doc/blinkd/ChangeLog

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs AUTHORS NEWS README
	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## blinkd 0.4.2

=== debian/changelog ===
blinkd (0.4.2) unstable; urgency=low

  * Version 0.4.2 released.
  * Using new versions of autoconf and automake and use autotools-dev
    (closes: #101424, #105017).
  * Corrected build process by the way (closes: #112832).
  * Removed README.Debian (closes: #112833).

 -- W. Borgert <debacle@debian.org>  Wed, 24 Oct 2001 01:36:58 +0000

blinkd (0.4.1) unstable; urgency=low

  * Non-maintainer upload.
  * copy in new config.{guess,sub} to get support for new architectures.
    Closes: #101424, #105017

 -- LaMont Jones <lamont@smallone.fc.hp.com>  Sat, 14 Jul 2001 13:01:27 -0600

blinkd (0.4) unstable; urgency=low

  * Version 0.4 released.
  * Options for blinkd are now set in /etc/default/blinkd.

 -- W. Borgert <debacle@debian.org>  Sun,  4 Feb 2001 13:05:57 +0000

blinkd (0.3.6) unstable; urgency=low

  * Version 0.3.6 released.
  * Added option --no-reopen to blinkd.  Forbids blinkd to close/reopen
    /dev/console to prevent from disk access.

 -- W. Borgert <debacle@debian.org>  Mon, 1 May 2000 10:27:49 +0000

blinkd (0.3.5) unstable; urgency=low

  * Version 0.3.5 released.
  * Added autoconf, automake, and gettext to Build-Depends
    field in debian/control. Closes bug#60277.

 -- W. Borgert <debacle@debian.org>  Mon, 13 Mar 2000 22:24:37 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: W. Borgert <debacle@debian.org>
-Standards-Version: 3.1.1
-Build-Depends: debhelper, docbook-to-man
+Standards-Version: 3.5.6.0
+Build-Depends: autoconf (>= 2.52), automake1.5, autotools-dev,
+ debhelper, docbook-to-man, gettext
 
 Package: blinkd
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PREFIX=`pwd`/debian/blinkd
export DH_COMPAT=3

maintainer: blink.1 blinkd.8 boo

blink.1: blink.sgml
	docbook-to-man $< > $@

blinkd.8: blinkd.sgml
	docbook-to-man $< > $@

boo:
	./bootstrap

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure.ac && \
	touch aclocal.m4 && \
	touch Makefile.in && \
	touch configure
	./configure --prefix=/usr --mandir=\$${prefix}/share/man
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-test -r Makefile && $(MAKE) distclean
	dh_clean
	-test -r /usr/share/misc/config.sub && \
		cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
		cp -f /usr/share/misc/config.guess config.guess

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install prefix=$(PREFIX)/usr
	cp ChangeLog $(PREFIX)/usr/share/doc/blinkd/
	gzip --best $(PREFIX)/usr/share/doc/blinkd/ChangeLog
	cp debian/default $(PREFIX)/etc/default/blinkd
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs AUTHORS NEWS README
	dh_installexamples
	dh_installinit
	dh_installmanpages
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
